Subject: [sfc] my comments to draft-beliveau-sfc-architecture-00

From: "Songhaibin (A)" <[email-masked]>
Date: Thu, 16 Jan 2014 03:42:51 +0000

Dear authors,

Here are some comments after my reading of this document, and most of them are editorial. Generally the document is easy to understand. But it also has many confusing terms and does not have technical details. 

1) Section 2:   Service Function Locator(SF-Loc):  A unique name or address which identifies each Service Function.  When multiple instances of the...

[Haibin] each Service Function -> each Service Function instance

2) "SFC network" is used multiple times without definition. What is its difference with SFC-IN? If they are the same thing, I suggest to use the same terminology throughout the document.

3) Section 3.2, figure 1: this figure uses SFC-ID instead of SC-ID defined in the terminology? If they are the same thing, I suggest to use the same terminology throughout the document.

4)Section 3.3, The Service Chaining Infrastructure (SC-IN) consists of Service Chaining Enforcement Points (SCEP) and Service Functions interconnected as a network.

[Haibin] it is conflict with the terminology in section 2. In section 2, SC-IN only consists of one or more SCEPs.

5) Section 3.3, When entering an SC-IN, an ingress SCEP which contains an SC-CL will map packets into a specific Service Function Path.  Once this mapping is done, the SC-FWD will determine the locator for the next SF on the Service Function Path and forward the packet to the SF to be invoked.

[Haibin]With regarding to the next SF, I think if the next SF is connected to this SCEP, then the SC-FWD forwards traffic to SF, otherwise, it should forward to the next SCEP which connects to the next SF. Because this document forbids the direct communication between SFs. All traffic must go through SCEPs. It would be helpful to understand if the authors can give a illustrative figure on how the traffic goes the nodes including SFs and SCEPs.

6) Section 3.4, what is Service Function Controller? If it is the same with Service Chain Controller defined in Section 3.6, I suggest to use the same terminology throughout the document.

7)Section 7, I do not think RFC 3022, 6092, and 6146 are normative references.

Best Regards!
-Haibin